require("util")

function scaleshift(shift,scale)
	if shift then
		shift[1]=shift[1]*scale
		shift[2]=shift[2]*scale
	end
end

local drill = util.table.deepcopy(data.raw["mining-drill"]["burner-mining-drill"])
drill.name = "diesel-mining-drill"
for _,anim in pairs(drill.animations) do
	anim.scale = 3/2
--	anim.tint = {r=.5,g=.375,b=.2,a=1}
	scaleshift(anim.shift,3/2)
end
drill.mining_power = 3--3.5
drill.mining_speed = .7--.45

scaleshift(drill.collision_box[1],3/2)
scaleshift(drill.collision_box[2],3/2)
scaleshift(drill.selection_box[1],3/2)
scaleshift(drill.selection_box[2],3/2)

drill.resource_searching_radius=1.5

drill.vector_to_place_result={-1, -1.8}

drill.minable = {hardness = 0.2, mining_time = 1, result = "diesel-mining-drill"}
drill.corpse = "medium-remnants"

drill.energy_source.emissions = 12/160--13/350--15/750
drill.energy_usage = "160kW"--"350kW"
drill.max_health = drill.max_health * 2

data:extend(
{
  drill,
  { type = "item", name = "diesel-mining-drill",
    icon = "__underground-mining__/graphics/engiburn.png",
    flags = {"goes-to-quickbar"},
    subgroup = "extraction-machine",
    order = "a[items]-a[diesel-mining-drill]",
    place_result = "diesel-mining-drill",
    stack_size = 50
  },
  { type = "recipe", name = "diesel-mining-drill",
    energy_required = 18,
    enabled = "false",
    ingredients =
    {
      {"burner-mining-drill", 1},
      {"engine-unit", 1},
	  {"iron-gear-wheel",2},
      {"steel-plate", 1},
    },
    result = "diesel-mining-drill",
	
  },
})

------underground

drill = util.table.deepcopy(data.raw["mining-drill"]["burner-mining-drill"])
drill.name="underground-mining-drill"
drill.resource_categories={"underground-solid"}
for _,anim in pairs(drill.animations) do
	anim.scale= 3/2
	anim.tint= {r=.5,g=.375,b=.2,a=1}
	scaleshift(anim.shift,3/2)
end

drill.mining_power=data.raw["mining-drill"]["basic-mining-drill"].mining_power
drill.mining_speed=0.75

drill.base_picture= util.table.deepcopy(data.raw["mining-drill"]["pumpjack"].base_picture)
drill.base_picture.sheet.scale=5/4
drill.base_picture.sheet.tint={r=.7,g=.5,b=.4,a=1}
scaleshift(drill.base_picture.sheet.shift,5/2)

--[[
drill.base_picture={sheet={}}
drill.base_picture.sheet.north = util.table.deepcopy(data.raw["mining-drill"]["pumpjack"].base_picture.sheet)
drill.base_picture.sheet.north.scale=5/3
drill.base_picture.sheet.north.tint={r=1,g=.9,b=.2,a=1}
scaleshift(drill.base_picture.sheet.north.shift,5/2)
--]]

scaleshift(drill.collision_box[1],2)
scaleshift(drill.collision_box[2],2)
scaleshift(drill.selection_box[1],2)
scaleshift(drill.selection_box[2],2)
drill.resource_searching_radius=2
drill.vector_to_place_result={-0.5,-2.3}
--drill.vector_to_place_result={-0.5,-1.3}
--scaleshift(drill.vector_to_place_result,2)
drill.minable = {hardness = 0.2, mining_time = 1, result = "underground-mining-drill"}
drill.corpse = "big-remnants"
drill.mining_power = 4
drill.mining_speed = .75
drill.energy_source.fuel_inventory_size = 2
drill.energy_source.emissions = 19/420--24/600--15/750
drill.energy_usage = "420kW"--"600kW"
drill.max_health = drill.max_health * 4
--drill.storage_slots = 2

--error(serpent.block(drill))

data:extend(
{  {
    type = "resource-category",
    name = "underground-solid"
  },
  drill,
  { type = "item", name = "underground-mining-drill",
    icon = "__underground-mining__/graphics/umd32.png",
    flags = {"goes-to-quickbar"},
    subgroup = "extraction-machine",
    order = "a[items]-a[underground-mining-drill]",
    place_result = "underground-mining-drill",
    stack_size = 50
  },
  { type = "recipe", name = "underground-mining-drill",
    enabled = "false",
    energy_required = 30,
    ingredients =
    {
      {"diesel-mining-drill", 2},
      {"steel-furnace", 1},
      {"iron-gear-wheel", 2},
	  {"pipe-to-ground",4}
    },
    result = "underground-mining-drill"
  },
})

----------------diesel
